Configuration Win2016STIGConfiguration {
    Import-DscResource -ModuleName SecurityPolicyDsc
    Import-DscResource -ModuleName AuditPolicyDsc
    Import-DscResource -ModuleName PsDesiredStateConfiguration
    Import-DscResource -ModuleName CertificateDsc
    Node $AllNodes.NodeName {
        if (($Node.stigrule_101009_Manage)) {
            AuditPolicySubcategory Other_Object_Access_Events_101009
            {
                Name = 'Other Object Access Events'
                AuditFlag = $Node.stigrule_101009_Other_Object_Access_Events_AuditFlag
                Ensure = $Node.stigrule_101009_Other_Object_Access_Events_Ensure
            }
        }
        if (($Node.stigrule_101011_Manage)) {
            AuditPolicySubcategory Other_Object_Access_Events_101011
            {
                Name = 'Other Object Access Events'
                AuditFlag = $Node.stigrule_101011_Other_Object_Access_Events_AuditFlag
                Ensure = $Node.stigrule_101011_Other_Object_Access_Events_Ensure
            }
        }
        if (($Node.stigrule_87939_Manage)) {
            WindowsFeature Fax_87939
            {
                Name = 'Fax'
                Ensure = $Node.stigrule_87939_Fax_Ensure
            }
        }
        if (($Node.stigrule_87941_Manage)) {
            WindowsFeature Web_Ftp_Service_87941
            {
                Name = 'Web-Ftp-Service'
                Ensure = $Node.stigrule_87941_Web_Ftp_Service_Ensure
            }
        }
        if (($Node.stigrule_87943_Manage)) {
            WindowsFeature PNRP_87943
            {
                Name = 'PNRP'
                Ensure = $Node.stigrule_87943_PNRP_Ensure
            }
        }
        if (($Node.stigrule_87945_Manage)) {
            WindowsFeature Simple_TCPIP_87945
            {
                Name = 'Simple-TCPIP'
                Ensure = $Node.stigrule_87945_Simple_TCPIP_Ensure
            }
        }
        if (($Node.stigrule_87947_Manage)) {
            WindowsFeature Telnet_Client_87947
            {
                Name = 'Telnet-Client'
                Ensure = $Node.stigrule_87947_Telnet_Client_Ensure
            }
        }
        if (($Node.stigrule_87949_Manage)) {
            WindowsFeature TFTP_Client_87949
            {
                Name = 'TFTP-Client'
                Ensure = $Node.stigrule_87949_TFTP_Client_Ensure
            }
        }
        if (($Node.stigrule_87951_Manage)) {
            WindowsFeature FS_SMB1_87951
            {
                Name = 'FS-SMB1'
                Ensure = $Node.stigrule_87951_FS_SMB1_Ensure
            }
        }
        if (($Node.stigrule_87953_Manage)) {
            WindowsFeature PowerShell_v2_87953
            {
                Name = 'PowerShell-v2'
                Ensure = $Node.stigrule_87953_PowerShell_v2_Ensure
            }
        }
        if (($Node.stigrule_87959_Manage)) {
            Registry NtpServer_87959
            {
                ValueName = 'NtpServer'
                Force = $true
                Key = $Node.stigrule_87959_NtpServer_Key
                Ensure = $Node.stigrule_87959_NtpServer_Ensure
                ValueData = $Node.stigrule_87959_NtpServer_ValueData
                ValueType = $Node.stigrule_87959_NtpServer_ValueType
            }
        }
        if (($Node.stigrule_87959_Manage)) {
            Registry Type_87959
            {
                ValueName = 'Type'
                Force = $true
                Key = $Node.stigrule_87959_Type_Key
                Ensure = $Node.stigrule_87959_Type_Ensure
                ValueData = $Node.stigrule_87959_Type_ValueData
                ValueType = $Node.stigrule_87959_Type_ValueType
            }
        }
        if (($Node.stigrule_87959_Manage)) {
            Registry CrossSiteSyncFlags_87959
            {
                ValueName = 'CrossSiteSyncFlags'
                Force = $true
                Key = $Node.stigrule_87959_CrossSiteSyncFlags_Key
                Ensure = $Node.stigrule_87959_CrossSiteSyncFlags_Ensure
                ValueData = $Node.stigrule_87959_CrossSiteSyncFlags_ValueData
                ValueType = $Node.stigrule_87959_CrossSiteSyncFlags_ValueType
            }
        }
        if (($Node.stigrule_87959_Manage)) {
            Registry EventLogFlags_87959
            {
                ValueName = 'EventLogFlags'
                Force = $true
                Key = $Node.stigrule_87959_EventLogFlags_Key
                Ensure = $Node.stigrule_87959_EventLogFlags_Ensure
                ValueData = $Node.stigrule_87959_EventLogFlags_ValueData
                ValueType = $Node.stigrule_87959_EventLogFlags_ValueType
            }
        }
        if (($Node.stigrule_87959_Manage)) {
            Registry ResolvePeerBackoffMaxTimes_87959
            {
                ValueName = 'ResolvePeerBackoffMaxTimes'
                Force = $true
                Key = $Node.stigrule_87959_ResolvePeerBackoffMaxTimes_Key
                Ensure = $Node.stigrule_87959_ResolvePeerBackoffMaxTimes_Ensure
                ValueData = $Node.stigrule_87959_ResolvePeerBackoffMaxTimes_ValueData
                ValueType = $Node.stigrule_87959_ResolvePeerBackoffMaxTimes_ValueType
            }
        }
        if (($Node.stigrule_87959_Manage)) {
            Registry ResolvePeerBackoffMinutes_87959
            {
                ValueName = 'ResolvePeerBackoffMinutes'
                Force = $true
                Key = $Node.stigrule_87959_ResolvePeerBackoffMinutes_Key
                Ensure = $Node.stigrule_87959_ResolvePeerBackoffMinutes_Ensure
                ValueData = $Node.stigrule_87959_ResolvePeerBackoffMinutes_ValueData
                ValueType = $Node.stigrule_87959_ResolvePeerBackoffMinutes_ValueType
            }
        }
        if (($Node.stigrule_87959_Manage)) {
            Registry SpecialPollInterval_87959
            {
                ValueName = 'SpecialPollInterval'
                Force = $true
                Key = $Node.stigrule_87959_SpecialPollInterval_Key
                Ensure = $Node.stigrule_87959_SpecialPollInterval_Ensure
                ValueData = $Node.stigrule_87959_SpecialPollInterval_ValueData
                ValueType = $Node.stigrule_87959_SpecialPollInterval_ValueType
            }
        }
        if (($Node.stigrule_87961_Manage)) {
            AccountPolicy Account_lockout_duration_87961
            {
                Name = 'Account_lockout_duration'
                DependsOn = '[AccountPolicy]Reset_account_lockout_counter_after_87965'
                Account_lockout_duration = $Node.stigrule_87961_Account_lockout_duration_Account_lockout_duration
            }
        }
        if (($Node.stigrule_87963_Manage)) {
            AccountPolicy Account_lockout_threshold_87963
            {
                Name = 'Account_lockout_threshold'
                Account_lockout_threshold = $Node.stigrule_87963_Account_lockout_threshold_Account_lockout_threshold
            }
        }
        if (($Node.stigrule_87965_Manage)) {
            AccountPolicy Reset_account_lockout_counter_after_87965
            {
                Name = 'Reset_account_lockout_counter_after'
                DependsOn = '[AccountPolicy]Account_lockout_threshold_87963'
                Reset_account_lockout_counter_after = $Node.stigrule_87965_Reset_account_lockout_counter_after_Reset_account_lockout_counter_after
            }
        }
        if (($Node.stigrule_87967_Manage)) {
            AccountPolicy Enforce_password_history_87967
            {
                Name = 'Enforce_password_history'
                Enforce_password_history = $Node.stigrule_87967_Enforce_password_history_Enforce_password_history
            }
        }
        if (($Node.stigrule_87969_Manage)) {
            AccountPolicy Maximum_Password_Age_87969
            {
                Name = 'Maximum_Password_Age'
                Maximum_Password_Age = $Node.stigrule_87969_Maximum_Password_Age_Maximum_Password_Age
            }
        }
        if (($Node.stigrule_87971_Manage)) {
            AccountPolicy Minimum_Password_Age_87971
            {
                Name = 'Minimum_Password_Age'
                Minimum_Password_Age = $Node.stigrule_87971_Minimum_Password_Age_Minimum_Password_Age
            }
        }
        if (($Node.stigrule_87973_Manage)) {
            AccountPolicy Minimum_Password_Length_87973
            {
                Name = 'Minimum_Password_Length'
                Minimum_Password_Length = $Node.stigrule_87973_Minimum_Password_Length_Minimum_Password_Length
            }
        }
        if (($Node.stigrule_87975_Manage)) {
            AccountPolicy Password_must_meet_complexity_requirements_87975
            {
                Name = 'Password_must_meet_complexity_requirements'
                Password_must_meet_complexity_requirements = $Node.stigrule_87975_Password_must_meet_complexity_requirements_Password_must_meet_complexity_requirements
            }
        }
        if (($Node.stigrule_87977_Manage)) {
            AccountPolicy Store_passwords_using_reversible_encryption_87977
            {
                Name = 'Store_passwords_using_reversible_encryption'
                Store_passwords_using_reversible_encryption = $Node.stigrule_87977_Store_passwords_using_reversible_encryption_Store_passwords_using_reversible_encryption
            }
        }
        if (($Node.stigrule_88065_Manage)) {
            AuditPolicySubcategory Credential_Validation_88065
            {
                Name = 'Credential Validation'
                AuditFlag = $Node.stigrule_88065_Credential_Validation_AuditFlag
                Ensure = $Node.stigrule_88065_Credential_Validation_Ensure
            }
        }
        if (($Node.stigrule_88067_Manage)) {
            AuditPolicySubcategory Credential_Validation_88067
            {
                Name = 'Credential Validation'
                AuditFlag = $Node.stigrule_88067_Credential_Validation_AuditFlag
                Ensure = $Node.stigrule_88067_Credential_Validation_Ensure
            }
        }
        if (($Node.stigrule_88069_Manage)) {
            AuditPolicySubcategory Computer_Account_Management_88069
            {
                Name = 'Computer Account Management'
                AuditFlag = $Node.stigrule_88069_Computer_Account_Management_AuditFlag
                Ensure = $Node.stigrule_88069_Computer_Account_Management_Ensure
            }
        }
        if (($Node.stigrule_88071_Manage)) {
            AuditPolicySubcategory Other_Account_Management_Events_88071
            {
                Name = 'Other Account Management Events'
                AuditFlag = $Node.stigrule_88071_Other_Account_Management_Events_AuditFlag
                Ensure = $Node.stigrule_88071_Other_Account_Management_Events_Ensure
            }
        }
        if (($Node.stigrule_88075_Manage)) {
            AuditPolicySubcategory Security_Group_Management_88075
            {
                Name = 'Security Group Management'
                AuditFlag = $Node.stigrule_88075_Security_Group_Management_AuditFlag
                Ensure = $Node.stigrule_88075_Security_Group_Management_Ensure
            }
        }
        if (($Node.stigrule_88079_Manage)) {
            AuditPolicySubcategory User_Account_Management_88079
            {
                Name = 'User Account Management'
                AuditFlag = $Node.stigrule_88079_User_Account_Management_AuditFlag
                Ensure = $Node.stigrule_88079_User_Account_Management_Ensure
            }
        }
        if (($Node.stigrule_88081_Manage)) {
            AuditPolicySubcategory User_Account_Management_88081
            {
                Name = 'User Account Management'
                AuditFlag = $Node.stigrule_88081_User_Account_Management_AuditFlag
                Ensure = $Node.stigrule_88081_User_Account_Management_Ensure
            }
        }
        if (($Node.stigrule_88083_Manage)) {
            AuditPolicySubcategory PNP_Activity_88083
            {
                Name = 'Plug and Play Events'
                AuditFlag = $Node.stigrule_88083_PNP_Activity_AuditFlag
                Ensure = $Node.stigrule_88083_PNP_Activity_Ensure
            }
        }
        if (($Node.stigrule_88085_Manage)) {
            AuditPolicySubcategory Process_Creation_88085
            {
                Name = 'Process Creation'
                AuditFlag = $Node.stigrule_88085_Process_Creation_AuditFlag
                Ensure = $Node.stigrule_88085_Process_Creation_Ensure
            }
        }
        if (($Node.stigrule_88087_Manage)) {
            AuditPolicySubcategory Directory_Service_Access_88087
            {
                Name = 'Directory Service Access'
                AuditFlag = $Node.stigrule_88087_Directory_Service_Access_AuditFlag
                Ensure = $Node.stigrule_88087_Directory_Service_Access_Ensure
            }
        }
        if (($Node.stigrule_88089_Manage)) {
            AuditPolicySubcategory Directory_Service_Access_88089
            {
                Name = 'Directory Service Access'
                AuditFlag = $Node.stigrule_88089_Directory_Service_Access_AuditFlag
                Ensure = $Node.stigrule_88089_Directory_Service_Access_Ensure
            }
        }
        if (($Node.stigrule_88091_Manage)) {
            AuditPolicySubcategory Directory_Service_Changes_88091
            {
                Name = 'Directory Service Changes'
                AuditFlag = $Node.stigrule_88091_Directory_Service_Changes_AuditFlag
                Ensure = $Node.stigrule_88091_Directory_Service_Changes_Ensure
            }
        }
        if (($Node.stigrule_88093_Manage)) {
            AuditPolicySubcategory Directory_Service_Changes_88093
            {
                Name = 'Directory Service Changes'
                AuditFlag = $Node.stigrule_88093_Directory_Service_Changes_AuditFlag
                Ensure = $Node.stigrule_88093_Directory_Service_Changes_Ensure
            }
        }
        if (($Node.stigrule_88095_Manage)) {
            AuditPolicySubcategory Account_Lockout_88095
            {
                Name = 'Account Lockout'
                AuditFlag = $Node.stigrule_88095_Account_Lockout_AuditFlag
                Ensure = $Node.stigrule_88095_Account_Lockout_Ensure
            }
        }
        if (($Node.stigrule_88097_Manage)) {
            AuditPolicySubcategory Account_Lockout_88097
            {
                Name = 'Account Lockout'
                AuditFlag = $Node.stigrule_88097_Account_Lockout_AuditFlag
                Ensure = $Node.stigrule_88097_Account_Lockout_Ensure
            }
        }
        if (($Node.stigrule_88099_Manage)) {
            AuditPolicySubcategory Group_Membership_88099
            {
                Name = 'Group Membership'
                AuditFlag = $Node.stigrule_88099_Group_Membership_AuditFlag
                Ensure = $Node.stigrule_88099_Group_Membership_Ensure
            }
        }
        if (($Node.stigrule_88101_Manage)) {
            AuditPolicySubcategory Logoff_88101
            {
                Name = 'Logoff'
                AuditFlag = $Node.stigrule_88101_Logoff_AuditFlag
                Ensure = $Node.stigrule_88101_Logoff_Ensure
            }
        }
        if (($Node.stigrule_88103_Manage)) {
            AuditPolicySubcategory Logon_88103
            {
                Name = 'Logon'
                AuditFlag = $Node.stigrule_88103_Logon_AuditFlag
                Ensure = $Node.stigrule_88103_Logon_Ensure
            }
        }
        if (($Node.stigrule_88105_Manage)) {
            AuditPolicySubcategory Logon_88105
            {
                Name = 'Logon'
                AuditFlag = $Node.stigrule_88105_Logon_AuditFlag
                Ensure = $Node.stigrule_88105_Logon_Ensure
            }
        }
        if (($Node.stigrule_88107_Manage)) {
            AuditPolicySubcategory Special_Logon_88107
            {
                Name = 'Special Logon'
                AuditFlag = $Node.stigrule_88107_Special_Logon_AuditFlag
                Ensure = $Node.stigrule_88107_Special_Logon_Ensure
            }
        }
        if (($Node.stigrule_88109_Manage)) {
            AuditPolicySubcategory Removable_Storage_88109
            {
                Name = 'Removable Storage'
                AuditFlag = $Node.stigrule_88109_Removable_Storage_AuditFlag
                Ensure = $Node.stigrule_88109_Removable_Storage_Ensure
            }
        }
        if (($Node.stigrule_88111_Manage)) {
            AuditPolicySubcategory Removable_Storage_88111
            {
                Name = 'Removable Storage'
                AuditFlag = $Node.stigrule_88111_Removable_Storage_AuditFlag
                Ensure = $Node.stigrule_88111_Removable_Storage_Ensure
            }
        }
        if (($Node.stigrule_88113_Manage)) {
            AuditPolicySubcategory Policy_Change_88113
            {
                Name = 'Audit Policy Change'
                AuditFlag = $Node.stigrule_88113_Policy_Change_AuditFlag
                Ensure = $Node.stigrule_88113_Policy_Change_Ensure
            }
        }
        if (($Node.stigrule_88115_Manage)) {
            AuditPolicySubcategory Policy_Change_88115
            {
                Name = 'Audit Policy Change'
                AuditFlag = $Node.stigrule_88115_Policy_Change_AuditFlag
                Ensure = $Node.stigrule_88115_Policy_Change_Ensure
            }
        }
        if (($Node.stigrule_88117_Manage)) {
            AuditPolicySubcategory Authentication_Policy_Change_88117
            {
                Name = 'Authentication Policy Change'
                AuditFlag = $Node.stigrule_88117_Authentication_Policy_Change_AuditFlag
                Ensure = $Node.stigrule_88117_Authentication_Policy_Change_Ensure
            }
        }
        if (($Node.stigrule_88119_Manage)) {
            AuditPolicySubcategory Authorization_Policy_Change_88119
            {
                Name = 'Authorization Policy Change'
                AuditFlag = $Node.stigrule_88119_Authorization_Policy_Change_AuditFlag
                Ensure = $Node.stigrule_88119_Authorization_Policy_Change_Ensure
            }
        }
        if (($Node.stigrule_88121_Manage)) {
            AuditPolicySubcategory Sensitive_Privilege_Use_88121
            {
                Name = 'Sensitive Privilege Use'
                AuditFlag = $Node.stigrule_88121_Sensitive_Privilege_Use_AuditFlag
                Ensure = $Node.stigrule_88121_Sensitive_Privilege_Use_Ensure
            }
        }
        if (($Node.stigrule_88123_Manage)) {
            AuditPolicySubcategory Sensitive_Privilege_Use_88123
            {
                Name = 'Sensitive Privilege Use'
                AuditFlag = $Node.stigrule_88123_Sensitive_Privilege_Use_AuditFlag
                Ensure = $Node.stigrule_88123_Sensitive_Privilege_Use_Ensure
            }
        }
        if (($Node.stigrule_88125_Manage)) {
            AuditPolicySubcategory IPsec_Driver_88125
            {
                Name = 'IPsec Driver'
                AuditFlag = $Node.stigrule_88125_IPsec_Driver_AuditFlag
                Ensure = $Node.stigrule_88125_IPsec_Driver_Ensure
            }
        }
        if (($Node.stigrule_88127_Manage)) {
            AuditPolicySubcategory IPsec_Driver_88127
            {
                Name = 'IPsec Driver'
                AuditFlag = $Node.stigrule_88127_IPsec_Driver_AuditFlag
                Ensure = $Node.stigrule_88127_IPsec_Driver_Ensure
            }
        }
        if (($Node.stigrule_88129_Manage)) {
            AuditPolicySubcategory Other_System_Events_88129
            {
                Name = 'Other System Events'
                AuditFlag = $Node.stigrule_88129_Other_System_Events_AuditFlag
                Ensure = $Node.stigrule_88129_Other_System_Events_Ensure
            }
        }
        if (($Node.stigrule_88131_Manage)) {
            AuditPolicySubcategory Other_System_Events_88131
            {
                Name = 'Other System Events'
                AuditFlag = $Node.stigrule_88131_Other_System_Events_AuditFlag
                Ensure = $Node.stigrule_88131_Other_System_Events_Ensure
            }
        }
        if (($Node.stigrule_88133_Manage)) {
            AuditPolicySubcategory Security_State_Change_88133
            {
                Name = 'Security State Change'
                AuditFlag = $Node.stigrule_88133_Security_State_Change_AuditFlag
                Ensure = $Node.stigrule_88133_Security_State_Change_Ensure
            }
        }
        if (($Node.stigrule_88135_Manage)) {
            AuditPolicySubcategory Security_System_Extension_88135
            {
                Name = 'Security System Extension'
                AuditFlag = $Node.stigrule_88135_Security_System_Extension_AuditFlag
                Ensure = $Node.stigrule_88135_Security_System_Extension_Ensure
            }
        }
        if (($Node.stigrule_88139_Manage)) {
            Registry EnumerateAdministrators_88139
            {
                ValueName = 'EnumerateAdministrators'
                Force = $true
                Key = $Node.stigrule_88139_EnumerateAdministrators_Key
                Ensure = $Node.stigrule_88139_EnumerateAdministrators_Ensure
                ValueData = $Node.stigrule_88139_EnumerateAdministrators_ValueData
                ValueType = $Node.stigrule_88139_EnumerateAdministrators_ValueType
            }
        }
        if (($Node.stigrule_88141_Manage)) {
            AuditPolicySubcategory System_Integrity_88141
            {
                Name = 'System Integrity'
                AuditFlag = $Node.stigrule_88141_System_Integrity_AuditFlag
                Ensure = $Node.stigrule_88141_System_Integrity_Ensure
            }
        }
        if (($Node.stigrule_88143_Manage)) {
            AuditPolicySubcategory System_Integrity_88143
            {
                Name = 'System Integrity'
                AuditFlag = $Node.stigrule_88143_System_Integrity_AuditFlag
                Ensure = $Node.stigrule_88143_System_Integrity_Ensure
            }
        }
        if (($Node.stigrule_88145_Manage)) {
            Registry NoLockScreenSlideshow_88145
            {
                ValueName = 'NoLockScreenSlideshow'
                Force = $true
                Key = $Node.stigrule_88145_NoLockScreenSlideshow_Key
                Ensure = $Node.stigrule_88145_NoLockScreenSlideshow_Ensure
                ValueData = $Node.stigrule_88145_NoLockScreenSlideshow_ValueData
                ValueType = $Node.stigrule_88145_NoLockScreenSlideshow_ValueType
            }
        }
        if (($Node.stigrule_88147_Manage)) {
            Registry LocalAccountTokenFilterPolicy_88147
            {
                ValueName = 'LocalAccountTokenFilterPolicy'
                Force = $true
                Key = $Node.stigrule_88147_LocalAccountTokenFilterPolicy_Key
                Ensure = $Node.stigrule_88147_LocalAccountTokenFilterPolicy_Ensure
                ValueData = $Node.stigrule_88147_LocalAccountTokenFilterPolicy_ValueData
                ValueType = $Node.stigrule_88147_LocalAccountTokenFilterPolicy_ValueType
            }
        }
        if (($Node.stigrule_88149_Manage)) {
            Registry UseLogonCredential_88149
            {
                ValueName = 'UseLogonCredential'
                Force = $true
                Key = $Node.stigrule_88149_UseLogonCredential_Key
                Ensure = $Node.stigrule_88149_UseLogonCredential_Ensure
                ValueData = $Node.stigrule_88149_UseLogonCredential_ValueData
                ValueType = $Node.stigrule_88149_UseLogonCredential_ValueType
            }
        }
        if (($Node.stigrule_88151_Manage)) {
            Registry DisableIPSourceRouting_88151
            {
                ValueName = 'DisableIPSourceRouting'
                Force = $true
                Key = $Node.stigrule_88151_DisableIPSourceRouting_Key
                Ensure = $Node.stigrule_88151_DisableIPSourceRouting_Ensure
                ValueData = $Node.stigrule_88151_DisableIPSourceRouting_ValueData
                ValueType = $Node.stigrule_88151_DisableIPSourceRouting_ValueType
            }
        }
        if (($Node.stigrule_88153_Manage)) {
            Registry DisableIPSourceRouting_88153
            {
                ValueName = 'DisableIPSourceRouting'
                Force = $true
                Key = $Node.stigrule_88153_DisableIPSourceRouting_Key
                Ensure = $Node.stigrule_88153_DisableIPSourceRouting_Ensure
                ValueData = $Node.stigrule_88153_DisableIPSourceRouting_ValueData
                ValueType = $Node.stigrule_88153_DisableIPSourceRouting_ValueType
            }
        }
        if (($Node.stigrule_88155_Manage)) {
            Registry EnableICMPRedirect_88155
            {
                ValueName = 'EnableICMPRedirect'
                Force = $true
                Key = $Node.stigrule_88155_EnableICMPRedirect_Key
                Ensure = $Node.stigrule_88155_EnableICMPRedirect_Ensure
                ValueData = $Node.stigrule_88155_EnableICMPRedirect_ValueData
                ValueType = $Node.stigrule_88155_EnableICMPRedirect_ValueType
            }
        }
        if (($Node.stigrule_88157_Manage)) {
            Registry NoNameReleaseOnDemand_88157
            {
                ValueName = 'NoNameReleaseOnDemand'
                Force = $true
                Key = $Node.stigrule_88157_NoNameReleaseOnDemand_Key
                Ensure = $Node.stigrule_88157_NoNameReleaseOnDemand_Ensure
                ValueData = $Node.stigrule_88157_NoNameReleaseOnDemand_ValueData
                ValueType = $Node.stigrule_88157_NoNameReleaseOnDemand_ValueType
            }
        }
        if (($Node.stigrule_88159_Manage)) {
            Registry AllowInsecureGuestAuth_88159
            {
                ValueName = 'AllowInsecureGuestAuth'
                Force = $true
                Key = $Node.stigrule_88159_AllowInsecureGuestAuth_Key
                Ensure = $Node.stigrule_88159_AllowInsecureGuestAuth_Ensure
                ValueData = $Node.stigrule_88159_AllowInsecureGuestAuth_ValueData
                ValueType = $Node.stigrule_88159_AllowInsecureGuestAuth_ValueType
            }
        }
        if (($Node.stigrule_88161_Manage)) {
            Registry ____NETLOGON_88161
            {
                ValueName = '\\*\NETLOGON'
                Force = $true
                Key = $Node.stigrule_88161_____NETLOGON_Key
                Ensure = $Node.stigrule_88161_____NETLOGON_Ensure
                ValueData = $Node.stigrule_88161_____NETLOGON_ValueData
                ValueType = $Node.stigrule_88161_____NETLOGON_ValueType
            }
        }
        if (($Node.stigrule_88161_Manage)) {
            Registry ____SYSVOL_88161
            {
                ValueName = '\\*\SYSVOL'
                Force = $true
                Key = $Node.stigrule_88161_____SYSVOL_Key
                Ensure = $Node.stigrule_88161_____SYSVOL_Ensure
                ValueData = $Node.stigrule_88161_____SYSVOL_ValueData
                ValueType = $Node.stigrule_88161_____SYSVOL_ValueType
            }
        }
        if (($Node.stigrule_88163_Manage)) {
            Registry ProcessCreationIncludeCmdLine_Enabled_88163
            {
                ValueName = 'ProcessCreationIncludeCmdLine_Enabled'
                Force = $true
                Key = $Node.stigrule_88163_ProcessCreationIncludeCmdLine_Enabled_Key
                Ensure = $Node.stigrule_88163_ProcessCreationIncludeCmdLine_Enabled_Ensure
                ValueData = $Node.stigrule_88163_ProcessCreationIncludeCmdLine_Enabled_ValueData
                ValueType = $Node.stigrule_88163_ProcessCreationIncludeCmdLine_Enabled_ValueType
            }
        }
        if (($Node.stigrule_88165_Manage)) {
            Registry EnableVirtualizationBasedSecurity_88165
            {
                ValueName = 'EnableVirtualizationBasedSecurity'
                Force = $true
                Key = $Node.stigrule_88165_EnableVirtualizationBasedSecurity_Key
                Ensure = $Node.stigrule_88165_EnableVirtualizationBasedSecurity_Ensure
                ValueData = $Node.stigrule_88165_EnableVirtualizationBasedSecurity_ValueData
                ValueType = $Node.stigrule_88165_EnableVirtualizationBasedSecurity_ValueType
            }
        }
        if (($Node.stigrule_88165_Manage)) {
            Registry RequirePlatformSecurityFeatures_88165
            {
                ValueName = 'RequirePlatformSecurityFeatures'
                Force = $true
                Key = $Node.stigrule_88165_RequirePlatformSecurityFeatures_Key
                Ensure = $Node.stigrule_88165_RequirePlatformSecurityFeatures_Ensure
                ValueData = $Node.stigrule_88165_RequirePlatformSecurityFeatures_ValueData
                ValueType = $Node.stigrule_88165_RequirePlatformSecurityFeatures_ValueType
            }
        }
        if (($Node.stigrule_88167_Manage)) {
            Registry LsaCfgFlags_88167
            {
                ValueName = 'LsaCfgFlags'
                Force = $true
                Key = $Node.stigrule_88167_LsaCfgFlags_Key
                Ensure = $Node.stigrule_88167_LsaCfgFlags_Ensure
                ValueData = $Node.stigrule_88167_LsaCfgFlags_ValueData
                ValueType = $Node.stigrule_88167_LsaCfgFlags_ValueType
            }
        }
        if (($Node.stigrule_88173_Manage)) {
            Registry DriverLoadPolicy_88173
            {
                ValueName = 'DriverLoadPolicy'
                Force = $true
                Key = $Node.stigrule_88173_DriverLoadPolicy_Key
                Ensure = $Node.stigrule_88173_DriverLoadPolicy_Ensure
                ValueData = $Node.stigrule_88173_DriverLoadPolicy_ValueData
                ValueType = $Node.stigrule_88173_DriverLoadPolicy_ValueType
            }
        }
        if (($Node.stigrule_88177_Manage)) {
            Registry NoGPOListChanges_88177
            {
                ValueName = 'NoGPOListChanges'
                Force = $true
                Key = $Node.stigrule_88177_NoGPOListChanges_Key
                Ensure = $Node.stigrule_88177_NoGPOListChanges_Ensure
                ValueData = $Node.stigrule_88177_NoGPOListChanges_ValueData
                ValueType = $Node.stigrule_88177_NoGPOListChanges_ValueType
            }
        }
        if (($Node.stigrule_88179_Manage)) {
            Registry DisableWebPnPDownload_88179
            {
                ValueName = 'DisableWebPnPDownload'
                Force = $true
                Key = $Node.stigrule_88179_DisableWebPnPDownload_Key
                Ensure = $Node.stigrule_88179_DisableWebPnPDownload_Ensure
                ValueData = $Node.stigrule_88179_DisableWebPnPDownload_ValueData
                ValueType = $Node.stigrule_88179_DisableWebPnPDownload_ValueType
            }
        }
        if (($Node.stigrule_88181_Manage)) {
            Registry DisableHTTPPrinting_88181
            {
                ValueName = 'DisableHTTPPrinting'
                Force = $true
                Key = $Node.stigrule_88181_DisableHTTPPrinting_Key
                Ensure = $Node.stigrule_88181_DisableHTTPPrinting_Ensure
                ValueData = $Node.stigrule_88181_DisableHTTPPrinting_ValueData
                ValueType = $Node.stigrule_88181_DisableHTTPPrinting_ValueType
            }
        }
        if (($Node.stigrule_88185_Manage)) {
            Registry DontDisplayNetworkSelectionUI_88185
            {
                ValueName = 'DontDisplayNetworkSelectionUI'
                Force = $true
                Key = $Node.stigrule_88185_DontDisplayNetworkSelectionUI_Key
                Ensure = $Node.stigrule_88185_DontDisplayNetworkSelectionUI_Ensure
                ValueData = $Node.stigrule_88185_DontDisplayNetworkSelectionUI_ValueData
                ValueType = $Node.stigrule_88185_DontDisplayNetworkSelectionUI_ValueType
            }
        }
        if (($Node.stigrule_88187_Manage)) {
            Registry EnumerateLocalUsers_88187
            {
                ValueName = 'EnumerateLocalUsers'
                Force = $true
                Key = $Node.stigrule_88187_EnumerateLocalUsers_Key
                Ensure = $Node.stigrule_88187_EnumerateLocalUsers_Ensure
                ValueData = $Node.stigrule_88187_EnumerateLocalUsers_ValueData
                ValueType = $Node.stigrule_88187_EnumerateLocalUsers_ValueType
            }
        }
        if (($Node.stigrule_88197_Manage)) {
            Registry DCSettingIndex_88197
            {
                ValueName = 'DCSettingIndex'
                Force = $true
                Key = $Node.stigrule_88197_DCSettingIndex_Key
                Ensure = $Node.stigrule_88197_DCSettingIndex_Ensure
                ValueData = $Node.stigrule_88197_DCSettingIndex_ValueData
                ValueType = $Node.stigrule_88197_DCSettingIndex_ValueType
            }
        }
        if (($Node.stigrule_88201_Manage)) {
            Registry ACSettingIndex_88201
            {
                ValueName = 'ACSettingIndex'
                Force = $true
                Key = $Node.stigrule_88201_ACSettingIndex_Key
                Ensure = $Node.stigrule_88201_ACSettingIndex_Ensure
                ValueData = $Node.stigrule_88201_ACSettingIndex_ValueData
                ValueType = $Node.stigrule_88201_ACSettingIndex_ValueType
            }
        }
        if (($Node.stigrule_88203_Manage)) {
            Registry RestrictRemoteClients_88203
            {
                ValueName = 'RestrictRemoteClients'
                Force = $true
                Key = $Node.stigrule_88203_RestrictRemoteClients_Key
                Ensure = $Node.stigrule_88203_RestrictRemoteClients_Ensure
                ValueData = $Node.stigrule_88203_RestrictRemoteClients_ValueData
                ValueType = $Node.stigrule_88203_RestrictRemoteClients_ValueType
            }
        }
        if (($Node.stigrule_88207_Manage)) {
            Registry DisableInventory_88207
            {
                ValueName = 'DisableInventory'
                Force = $true
                Key = $Node.stigrule_88207_DisableInventory_Key
                Ensure = $Node.stigrule_88207_DisableInventory_Ensure
                ValueData = $Node.stigrule_88207_DisableInventory_ValueData
                ValueType = $Node.stigrule_88207_DisableInventory_ValueType
            }
        }
        if (($Node.stigrule_88209_Manage)) {
            Registry NoAutoplayfornonVolume_88209
            {
                ValueName = 'NoAutoplayfornonVolume'
                Force = $true
                Key = $Node.stigrule_88209_NoAutoplayfornonVolume_Key
                Ensure = $Node.stigrule_88209_NoAutoplayfornonVolume_Ensure
                ValueData = $Node.stigrule_88209_NoAutoplayfornonVolume_ValueData
                ValueType = $Node.stigrule_88209_NoAutoplayfornonVolume_ValueType
            }
        }
        if (($Node.stigrule_88211_Manage)) {
            Registry NoAutorun_88211
            {
                ValueName = 'NoAutorun'
                Force = $true
                Key = $Node.stigrule_88211_NoAutorun_Key
                Ensure = $Node.stigrule_88211_NoAutorun_Ensure
                ValueData = $Node.stigrule_88211_NoAutorun_ValueData
                ValueType = $Node.stigrule_88211_NoAutorun_ValueType
            }
        }
        if (($Node.stigrule_88213_Manage)) {
            Registry NoDriveTypeAutoRun_88213
            {
                ValueName = 'NoDriveTypeAutoRun'
                Force = $true
                Key = $Node.stigrule_88213_NoDriveTypeAutoRun_Key
                Ensure = $Node.stigrule_88213_NoDriveTypeAutoRun_Ensure
                ValueData = $Node.stigrule_88213_NoDriveTypeAutoRun_ValueData
                ValueType = $Node.stigrule_88213_NoDriveTypeAutoRun_ValueType
            }
        }
        if (($Node.stigrule_88215_Manage)) {
            Registry AllowTelemetry_88215
            {
                ValueName = 'AllowTelemetry'
                Force = $true
                Key = $Node.stigrule_88215_AllowTelemetry_Key
                Ensure = $Node.stigrule_88215_AllowTelemetry_Ensure
                ValueData = $Node.stigrule_88215_AllowTelemetry_ValueData
                ValueType = $Node.stigrule_88215_AllowTelemetry_ValueType
            }
        }
        if (($Node.stigrule_88217_Manage)) {
            Registry MaxSize_88217
            {
                ValueName = 'MaxSize'
                Force = $true
                Key = $Node.stigrule_88217_MaxSize_Key
                Ensure = $Node.stigrule_88217_MaxSize_Ensure
                ValueData = $Node.stigrule_88217_MaxSize_ValueData
                ValueType = $Node.stigrule_88217_MaxSize_ValueType
            }
        }
        if (($Node.stigrule_88219_Manage)) {
            Registry MaxSize_88219
            {
                ValueName = 'MaxSize'
                Force = $true
                Key = $Node.stigrule_88219_MaxSize_Key
                Ensure = $Node.stigrule_88219_MaxSize_Ensure
                ValueData = $Node.stigrule_88219_MaxSize_ValueData
                ValueType = $Node.stigrule_88219_MaxSize_ValueType
            }
        }
        if (($Node.stigrule_88221_Manage)) {
            Registry MaxSize_88221
            {
                ValueName = 'MaxSize'
                Force = $true
                Key = $Node.stigrule_88221_MaxSize_Key
                Ensure = $Node.stigrule_88221_MaxSize_Ensure
                ValueData = $Node.stigrule_88221_MaxSize_ValueData
                ValueType = $Node.stigrule_88221_MaxSize_ValueType
            }
        }
        if (($Node.stigrule_88223_Manage)) {
            Registry EnableSmartScreen_88223
            {
                ValueName = 'EnableSmartScreen'
                Force = $true
                Key = $Node.stigrule_88223_EnableSmartScreen_Key
                Ensure = $Node.stigrule_88223_EnableSmartScreen_Ensure
                ValueData = $Node.stigrule_88223_EnableSmartScreen_ValueData
                ValueType = $Node.stigrule_88223_EnableSmartScreen_ValueType
            }
        }
        if (($Node.stigrule_88225_Manage)) {
            Registry NoDataExecutionPrevention_88225
            {
                ValueName = 'NoDataExecutionPrevention'
                Force = $true
                Key = $Node.stigrule_88225_NoDataExecutionPrevention_Key
                Ensure = $Node.stigrule_88225_NoDataExecutionPrevention_Ensure
                ValueData = $Node.stigrule_88225_NoDataExecutionPrevention_ValueData
                ValueType = $Node.stigrule_88225_NoDataExecutionPrevention_ValueType
            }
        }
        if (($Node.stigrule_88227_Manage)) {
            Registry NoHeapTerminationOnCorruption_88227
            {
                ValueName = 'NoHeapTerminationOnCorruption'
                Force = $true
                Key = $Node.stigrule_88227_NoHeapTerminationOnCorruption_Key
                Ensure = $Node.stigrule_88227_NoHeapTerminationOnCorruption_Ensure
                ValueData = $Node.stigrule_88227_NoHeapTerminationOnCorruption_ValueData
                ValueType = $Node.stigrule_88227_NoHeapTerminationOnCorruption_ValueType
            }
        }
        if (($Node.stigrule_88229_Manage)) {
            Registry PreXPSP2ShellProtocolBehavior_88229
            {
                ValueName = 'PreXPSP2ShellProtocolBehavior'
                Force = $true
                Key = $Node.stigrule_88229_PreXPSP2ShellProtocolBehavior_Key
                Ensure = $Node.stigrule_88229_PreXPSP2ShellProtocolBehavior_Ensure
                ValueData = $Node.stigrule_88229_PreXPSP2ShellProtocolBehavior_ValueData
                ValueType = $Node.stigrule_88229_PreXPSP2ShellProtocolBehavior_ValueType
            }
        }
        if (($Node.stigrule_88231_Manage)) {
            Registry DisablePasswordSaving_88231
            {
                ValueName = 'DisablePasswordSaving'
                Force = $true
                Key = $Node.stigrule_88231_DisablePasswordSaving_Key
                Ensure = $Node.stigrule_88231_DisablePasswordSaving_Ensure
                ValueData = $Node.stigrule_88231_DisablePasswordSaving_ValueData
                ValueType = $Node.stigrule_88231_DisablePasswordSaving_ValueType
            }
        }
        if (($Node.stigrule_88233_Manage)) {
            Registry fDisableCdm_88233
            {
                ValueName = 'fDisableCdm'
                Force = $true
                Key = $Node.stigrule_88233_fDisableCdm_Key
                Ensure = $Node.stigrule_88233_fDisableCdm_Ensure
                ValueData = $Node.stigrule_88233_fDisableCdm_ValueData
                ValueType = $Node.stigrule_88233_fDisableCdm_ValueType
            }
        }
        if (($Node.stigrule_88235_Manage)) {
            Registry fPromptForPassword_88235
            {
                ValueName = 'fPromptForPassword'
                Force = $true
                Key = $Node.stigrule_88235_fPromptForPassword_Key
                Ensure = $Node.stigrule_88235_fPromptForPassword_Ensure
                ValueData = $Node.stigrule_88235_fPromptForPassword_ValueData
                ValueType = $Node.stigrule_88235_fPromptForPassword_ValueType
            }
        }
        if (($Node.stigrule_88237_Manage)) {
            Registry fEncryptRPCTraffic_88237
            {
                ValueName = 'fEncryptRPCTraffic'
                Force = $true
                Key = $Node.stigrule_88237_fEncryptRPCTraffic_Key
                Ensure = $Node.stigrule_88237_fEncryptRPCTraffic_Ensure
                ValueData = $Node.stigrule_88237_fEncryptRPCTraffic_ValueData
                ValueType = $Node.stigrule_88237_fEncryptRPCTraffic_ValueType
            }
        }
        if (($Node.stigrule_88239_Manage)) {
            Registry MinEncryptionLevel_88239
            {
                ValueName = 'MinEncryptionLevel'
                Force = $true
                Key = $Node.stigrule_88239_MinEncryptionLevel_Key
                Ensure = $Node.stigrule_88239_MinEncryptionLevel_Ensure
                ValueData = $Node.stigrule_88239_MinEncryptionLevel_ValueData
                ValueType = $Node.stigrule_88239_MinEncryptionLevel_ValueType
            }
        }
        if (($Node.stigrule_88241_Manage)) {
            Registry DisableEnclosureDownload_88241
            {
                ValueName = 'DisableEnclosureDownload'
                Force = $true
                Key = $Node.stigrule_88241_DisableEnclosureDownload_Key
                Ensure = $Node.stigrule_88241_DisableEnclosureDownload_Ensure
                ValueData = $Node.stigrule_88241_DisableEnclosureDownload_ValueData
                ValueType = $Node.stigrule_88241_DisableEnclosureDownload_ValueType
            }
        }
        if (($Node.stigrule_88243_Manage)) {
            Registry AllowBasicAuthInClear_88243
            {
                ValueName = 'AllowBasicAuthInClear'
                Force = $true
                Key = $Node.stigrule_88243_AllowBasicAuthInClear_Key
                Ensure = $Node.stigrule_88243_AllowBasicAuthInClear_Ensure
                ValueData = $Node.stigrule_88243_AllowBasicAuthInClear_ValueData
                ValueType = $Node.stigrule_88243_AllowBasicAuthInClear_ValueType
            }
        }
        if (($Node.stigrule_88245_Manage)) {
            Registry AllowIndexingEncryptedStoresOrItems_88245
            {
                ValueName = 'AllowIndexingEncryptedStoresOrItems'
                Force = $true
                Key = $Node.stigrule_88245_AllowIndexingEncryptedStoresOrItems_Key
                Ensure = $Node.stigrule_88245_AllowIndexingEncryptedStoresOrItems_Ensure
                ValueData = $Node.stigrule_88245_AllowIndexingEncryptedStoresOrItems_ValueData
                ValueType = $Node.stigrule_88245_AllowIndexingEncryptedStoresOrItems_ValueType
            }
        }
        if (($Node.stigrule_88247_Manage)) {
            Registry EnableUserControl_88247
            {
                ValueName = 'EnableUserControl'
                Force = $true
                Key = $Node.stigrule_88247_EnableUserControl_Key
                Ensure = $Node.stigrule_88247_EnableUserControl_Ensure
                ValueData = $Node.stigrule_88247_EnableUserControl_ValueData
                ValueType = $Node.stigrule_88247_EnableUserControl_ValueType
            }
        }
        if (($Node.stigrule_88249_Manage)) {
            Registry AlwaysInstallElevated_88249
            {
                ValueName = 'AlwaysInstallElevated'
                Force = $true
                Key = $Node.stigrule_88249_AlwaysInstallElevated_Key
                Ensure = $Node.stigrule_88249_AlwaysInstallElevated_Ensure
                ValueData = $Node.stigrule_88249_AlwaysInstallElevated_ValueData
                ValueType = $Node.stigrule_88249_AlwaysInstallElevated_ValueType
            }
        }
        if (($Node.stigrule_88251_Manage)) {
            Registry SafeForScripting_88251
            {
                ValueName = 'SafeForScripting'
                Force = $true
                Key = $Node.stigrule_88251_SafeForScripting_Key
                Ensure = $Node.stigrule_88251_SafeForScripting_Ensure
                ValueData = $Node.stigrule_88251_SafeForScripting_ValueData
                ValueType = $Node.stigrule_88251_SafeForScripting_ValueType
            }
        }
        if (($Node.stigrule_88253_Manage)) {
            Registry DisableAutomaticRestartSignOn_88253
            {
                ValueName = 'DisableAutomaticRestartSignOn'
                Force = $true
                Key = $Node.stigrule_88253_DisableAutomaticRestartSignOn_Key
                Ensure = $Node.stigrule_88253_DisableAutomaticRestartSignOn_Ensure
                ValueData = $Node.stigrule_88253_DisableAutomaticRestartSignOn_ValueData
                ValueType = $Node.stigrule_88253_DisableAutomaticRestartSignOn_ValueType
            }
        }
        if (($Node.stigrule_88255_Manage)) {
            Registry EnableScriptBlockLogging_88255
            {
                ValueName = 'EnableScriptBlockLogging'
                Force = $true
                Key = $Node.stigrule_88255_EnableScriptBlockLogging_Key
                Ensure = $Node.stigrule_88255_EnableScriptBlockLogging_Ensure
                ValueData = $Node.stigrule_88255_EnableScriptBlockLogging_ValueData
                ValueType = $Node.stigrule_88255_EnableScriptBlockLogging_ValueType
            }
        }
        if (($Node.stigrule_88257_Manage)) {
            Registry AllowBasic_88257
            {
                ValueName = 'AllowBasic'
                Force = $true
                Key = $Node.stigrule_88257_AllowBasic_Key
                Ensure = $Node.stigrule_88257_AllowBasic_Ensure
                ValueData = $Node.stigrule_88257_AllowBasic_ValueData
                ValueType = $Node.stigrule_88257_AllowBasic_ValueType
            }
        }
        if (($Node.stigrule_88263_Manage)) {
            Registry AllowBasic_88263
            {
                ValueName = 'AllowBasic'
                Force = $true
                Key = $Node.stigrule_88263_AllowBasic_Key
                Ensure = $Node.stigrule_88263_AllowBasic_Ensure
                ValueData = $Node.stigrule_88263_AllowBasic_ValueData
                ValueType = $Node.stigrule_88263_AllowBasic_ValueType
            }
        }
        if (($Node.stigrule_88259_Manage)) {
            Registry AllowUnencryptedTraffic_88259
            {
                ValueName = 'AllowUnencryptedTraffic'
                Force = $true
                Key = $Node.stigrule_88259_AllowUnencryptedTraffic_Key
                Ensure = $Node.stigrule_88259_AllowUnencryptedTraffic_Ensure
                ValueData = $Node.stigrule_88259_AllowUnencryptedTraffic_ValueData
                ValueType = $Node.stigrule_88259_AllowUnencryptedTraffic_ValueType
            }
        }
        if (($Node.stigrule_88265_Manage)) {
            Registry AllowUnencryptedTraffic_88265
            {
                ValueName = 'AllowUnencryptedTraffic'
                Force = $true
                Key = $Node.stigrule_88265_AllowUnencryptedTraffic_Key
                Ensure = $Node.stigrule_88265_AllowUnencryptedTraffic_Ensure
                ValueData = $Node.stigrule_88265_AllowUnencryptedTraffic_ValueData
                ValueType = $Node.stigrule_88265_AllowUnencryptedTraffic_ValueType
            }
        }
        if (($Node.stigrule_88261_Manage)) {
            Registry AllowDigest_88261
            {
                ValueName = 'AllowDigest'
                Force = $true
                Key = $Node.stigrule_88261_AllowDigest_Key
                Ensure = $Node.stigrule_88261_AllowDigest_Ensure
                ValueData = $Node.stigrule_88261_AllowDigest_ValueData
                ValueType = $Node.stigrule_88261_AllowDigest_ValueType
            }
        }
        if (($Node.stigrule_88267_Manage)) {
            Registry DisableRunAs_88267
            {
                ValueName = 'DisableRunAs'
                Force = $true
                Key = $Node.stigrule_88267_DisableRunAs_Key
                Ensure = $Node.stigrule_88267_DisableRunAs_Ensure
                ValueData = $Node.stigrule_88267_DisableRunAs_ValueData
                ValueType = $Node.stigrule_88267_DisableRunAs_ValueType
            }
        }
        if (($Node.stigrule_88269_Manage)) {
            CertificateImport 8C941B34EA1EA6ED9AE2BC54CF687252B4C9B561_88269
            {
                Thumbprint = '8C941B34EA1EA6ED9AE2BC54CF687252B4C9B561'
                Location = $Node.stigrule_88269_8C941B34EA1EA6ED9AE2BC54CF687252B4C9B561_Location
                Store = $Node.stigrule_88269_8C941B34EA1EA6ED9AE2BC54CF687252B4C9B561_Store
                Path = $Node.stigrule_88269_8C941B34EA1EA6ED9AE2BC54CF687252B4C9B561_Path
            }
        }
        if (($Node.stigrule_88269_Manage)) {
            CertificateImport D73CA91102A2204A36459ED32213B467D7CE97FB_88269
            {
                Thumbprint = 'D73CA91102A2204A36459ED32213B467D7CE97FB'
                Location = $Node.stigrule_88269_D73CA91102A2204A36459ED32213B467D7CE97FB_Location
                Store = $Node.stigrule_88269_D73CA91102A2204A36459ED32213B467D7CE97FB_Store
                Path = $Node.stigrule_88269_D73CA91102A2204A36459ED32213B467D7CE97FB_Path
            }
        }
        if (($Node.stigrule_88269_Manage)) {
            CertificateImport B8269F25DBD937ECAFD4C35A9838571723F2D026_88269
            {
                Thumbprint = 'B8269F25DBD937ECAFD4C35A9838571723F2D026'
                Location = $Node.stigrule_88269_B8269F25DBD937ECAFD4C35A9838571723F2D026_Location
                Store = $Node.stigrule_88269_B8269F25DBD937ECAFD4C35A9838571723F2D026_Store
                Path = $Node.stigrule_88269_B8269F25DBD937ECAFD4C35A9838571723F2D026_Path
            }
        }
        if (($Node.stigrule_88269_Manage)) {
            CertificateImport 4ECB5CC3095670454DA1CBD410FC921F46B8564B_88269
            {
                Thumbprint = '4ECB5CC3095670454DA1CBD410FC921F46B8564B'
                Location = $Node.stigrule_88269_4ECB5CC3095670454DA1CBD410FC921F46B8564B_Location
                Store = $Node.stigrule_88269_4ECB5CC3095670454DA1CBD410FC921F46B8564B_Store
                Path = $Node.stigrule_88269_4ECB5CC3095670454DA1CBD410FC921F46B8564B_Path
            }
        }
        if (($Node.stigrule_88271_Manage)) {
            CertificateImport 22BBE981F0694D246CC1472ED2B021DC8540A22F_88271
            {
                Thumbprint = '22BBE981F0694D246CC1472ED2B021DC8540A22F'
                Location = $Node.stigrule_88271_22BBE981F0694D246CC1472ED2B021DC8540A22F_Location
                Store = $Node.stigrule_88271_22BBE981F0694D246CC1472ED2B021DC8540A22F_Store
                Path = $Node.stigrule_88271_22BBE981F0694D246CC1472ED2B021DC8540A22F_Path
            }
        }
        if (($Node.stigrule_88271_Manage)) {
            CertificateImport AC06108CA348CC03B53795C64BF84403C1DBD341_88271
            {
                Thumbprint = 'AC06108CA348CC03B53795C64BF84403C1DBD341'
                Location = $Node.stigrule_88271_AC06108CA348CC03B53795C64BF84403C1DBD341_Location
                Store = $Node.stigrule_88271_AC06108CA348CC03B53795C64BF84403C1DBD341_Store
                Path = $Node.stigrule_88271_AC06108CA348CC03B53795C64BF84403C1DBD341_Path
            }
        }
        if (($Node.stigrule_88273_Manage)) {
            CertificateImport 929BF3196896994C0A201DF4A5B71F603FEFBF2E_88273
            {
                Thumbprint = '929BF3196896994C0A201DF4A5B71F603FEFBF2E'
                Location = $Node.stigrule_88273_929BF3196896994C0A201DF4A5B71F603FEFBF2E_Location
                Store = $Node.stigrule_88273_929BF3196896994C0A201DF4A5B71F603FEFBF2E_Store
                Path = $Node.stigrule_88273_929BF3196896994C0A201DF4A5B71F603FEFBF2E_Path
            }
        }
        if (($Node.stigrule_88285_Manage)) {
            SecurityOption Accounts_Limit_local_account_use_of_blank_passwords_to_console_logon_only_88285
            {
                Name = 'Accounts_Limit_local_account_use_of_blank_passwords_to_console_logon_only'
                Accounts_Limit_local_account_use_of_blank_passwords_to_console_logon_only = $Node.stigrule_88285_Accounts_Limit_local_account_use_of_blank_passwords_to_console_logon_only_Accounts_Limit_local_account_use_of_blank_passwords_to_console_logon_only
            }
        }
        if (($Node.stigrule_88287_Manage)) {
            SecurityOption Accounts_Rename_administrator_account_88287
            {
                Name = 'Accounts_Rename_administrator_account'
                Accounts_Rename_administrator_account = $Node.stigrule_88287_Accounts_Rename_administrator_account_Accounts_Rename_administrator_account
            }
        }
        if (($Node.stigrule_88289_Manage)) {
            SecurityOption Accounts_Rename_guest_account_88289
            {
                Name = 'Accounts_Rename_guest_account'
                Accounts_Rename_guest_account = $Node.stigrule_88289_Accounts_Rename_guest_account_Accounts_Rename_guest_account
            }
        }
        if (($Node.stigrule_88291_Manage)) {
            SecurityOption Audit_Force_audit_policy_subcategory_settings_Windows_Vista_or_later_to_override_audit_policy_category_settings_88291
            {
                Name = 'Audit_Force_audit_policy_subcategory_settings_Windows_Vista_or_later_to_override_audit_policy_category_settings'
                Audit_Force_audit_policy_subcategory_settings_Windows_Vista_or_later_to_override_audit_policy_category_settings = $Node.stigrule_88291_Audit_Force_audit_policy_subcategory_settings_Windows_Vista_or_later_to_override_audit_policy_category_settings_Audit_Force_audit_policy_subcategory_settings_Windows_Vista_or_later_to_override_audit_policy_category_settings
            }
        }
        if (($Node.stigrule_88293_Manage)) {
            SecurityOption Domain_controller_LDAP_server_signing_requirements_88293
            {
                Name = 'Domain_controller_LDAP_server_signing_requirements'
                Domain_controller_LDAP_server_signing_requirements = $Node.stigrule_88293_Domain_controller_LDAP_server_signing_requirements_Domain_controller_LDAP_server_signing_requirements
            }
        }
        if (($Node.stigrule_88295_Manage)) {
            SecurityOption Domain_controller_Refuse_machine_account_password_changes_88295
            {
                Name = 'Domain_controller_Refuse_machine_account_password_changes'
                Domain_controller_Refuse_machine_account_password_changes = $Node.stigrule_88295_Domain_controller_Refuse_machine_account_password_changes_Domain_controller_Refuse_machine_account_password_changes
            }
        }
        if (($Node.stigrule_88297_Manage)) {
            SecurityOption Domain_member_Digitally_encrypt_or_sign_secure_channel_data_always_88297
            {
                Name = 'Domain_member_Digitally_encrypt_or_sign_secure_channel_data_always'
                Domain_member_Digitally_encrypt_or_sign_secure_channel_data_always = $Node.stigrule_88297_Domain_member_Digitally_encrypt_or_sign_secure_channel_data_always_Domain_member_Digitally_encrypt_or_sign_secure_channel_data_always
            }
        }
        if (($Node.stigrule_88299_Manage)) {
            SecurityOption Domain_member_Digitally_encrypt_secure_channel_data_when_possible_88299
            {
                Name = 'Domain_member_Digitally_encrypt_secure_channel_data_when_possible'
                Domain_member_Digitally_encrypt_secure_channel_data_when_possible = $Node.stigrule_88299_Domain_member_Digitally_encrypt_secure_channel_data_when_possible_Domain_member_Digitally_encrypt_secure_channel_data_when_possible
            }
        }
        if (($Node.stigrule_88301_Manage)) {
            SecurityOption Domain_member_Digitally_sign_secure_channel_data_when_possible_88301
            {
                Name = 'Domain_member_Digitally_sign_secure_channel_data_when_possible'
                Domain_member_Digitally_sign_secure_channel_data_when_possible = $Node.stigrule_88301_Domain_member_Digitally_sign_secure_channel_data_when_possible_Domain_member_Digitally_sign_secure_channel_data_when_possible
            }
        }
        if (($Node.stigrule_88303_Manage)) {
            SecurityOption Domain_member_Disable_machine_account_password_changes_88303
            {
                Name = 'Domain_member_Disable_machine_account_password_changes'
                Domain_member_Disable_machine_account_password_changes = $Node.stigrule_88303_Domain_member_Disable_machine_account_password_changes_Domain_member_Disable_machine_account_password_changes
            }
        }
        if (($Node.stigrule_88305_Manage)) {
            SecurityOption Domain_member_Maximum_machine_account_password_age_88305
            {
                Name = 'Domain_member_Maximum_machine_account_password_age'
                Domain_member_Maximum_machine_account_password_age = $Node.stigrule_88305_Domain_member_Maximum_machine_account_password_age_Domain_member_Maximum_machine_account_password_age
            }
        }
        if (($Node.stigrule_88307_Manage)) {
            SecurityOption Domain_member_Require_strong_Windows_2000_or_later_session_key_88307
            {
                Name = 'Domain_member_Require_strong_Windows_2000_or_later_session_key'
                Domain_member_Require_strong_Windows_2000_or_later_session_key = $Node.stigrule_88307_Domain_member_Require_strong_Windows_2000_or_later_session_key_Domain_member_Require_strong_Windows_2000_or_later_session_key
            }
        }
        if (($Node.stigrule_88309_Manage)) {
            SecurityOption Interactive_logon_Machine_inactivity_limit_88309
            {
                Name = 'Interactive_logon_Machine_inactivity_limit'
                Interactive_logon_Machine_inactivity_limit = $Node.stigrule_88309_Interactive_logon_Machine_inactivity_limit_Interactive_logon_Machine_inactivity_limit
            }
        }
        if (($Node.stigrule_88311_Manage)) {
            SecurityOption Interactive_logon_Message_text_for_users_attempting_to_log_on_88311
            {
                Name = 'Interactive_logon_Message_text_for_users_attempting_to_log_on'
                Interactive_logon_Message_text_for_users_attempting_to_log_on = $Node.stigrule_88311_Interactive_logon_Message_text_for_users_attempting_to_log_on_Interactive_logon_Message_text_for_users_attempting_to_log_on
            }
        }
        if (($Node.stigrule_88313_Manage)) {
            SecurityOption Interactive_logon_Message_title_for_users_attempting_to_log_on_88313
            {
                Name = 'Interactive_logon_Message_title_for_users_attempting_to_log_on'
                Interactive_logon_Message_title_for_users_attempting_to_log_on = $Node.stigrule_88313_Interactive_logon_Message_title_for_users_attempting_to_log_on_Interactive_logon_Message_title_for_users_attempting_to_log_on
            }
        }
        if (($Node.stigrule_88315_Manage)) {
            SecurityOption Interactive_logon_Number_of_previous_logons_to_cache_in_case_domain_controller_is_not_available_88315
            {
                Name = 'Interactive_logon_Number_of_previous_logons_to_cache_in_case_domain_controller_is_not_available'
                Interactive_logon_Number_of_previous_logons_to_cache_in_case_domain_controller_is_not_available = $Node.stigrule_88315_Interactive_logon_Number_of_previous_logons_to_cache_in_case_domain_controller_is_not_available_Interactive_logon_Number_of_previous_logons_to_cache_in_case_domain_controller_is_not_available
            }
        }
        if (($Node.stigrule_88317_Manage)) {
            SecurityOption Microsoft_network_client_Digitally_sign_communications_always_88317
            {
                Name = 'Microsoft_network_client_Digitally_sign_communications_always'
                Microsoft_network_client_Digitally_sign_communications_always = $Node.stigrule_88317_Microsoft_network_client_Digitally_sign_communications_always_Microsoft_network_client_Digitally_sign_communications_always
            }
        }
        if (($Node.stigrule_88319_Manage)) {
            SecurityOption Microsoft_network_client_Digitally_sign_communications_if_server_agrees_88319
            {
                Name = 'Microsoft_network_client_Digitally_sign_communications_if_server_agrees'
                Microsoft_network_client_Digitally_sign_communications_if_server_agrees = $Node.stigrule_88319_Microsoft_network_client_Digitally_sign_communications_if_server_agrees_Microsoft_network_client_Digitally_sign_communications_if_server_agrees
            }
        }
        if (($Node.stigrule_88321_Manage)) {
            SecurityOption Microsoft_network_client_Send_unencrypted_password_to_third_party_SMB_servers_88321
            {
                Name = 'Microsoft_network_client_Send_unencrypted_password_to_third_party_SMB_servers'
                Microsoft_network_client_Send_unencrypted_password_to_third_party_SMB_servers = $Node.stigrule_88321_Microsoft_network_client_Send_unencrypted_password_to_third_party_SMB_servers_Microsoft_network_client_Send_unencrypted_password_to_third_party_SMB_servers
            }
        }
        if (($Node.stigrule_88325_Manage)) {
            SecurityOption Microsoft_network_server_Digitally_sign_communications_always_88325
            {
                Name = 'Microsoft_network_server_Digitally_sign_communications_always'
                Microsoft_network_server_Digitally_sign_communications_always = $Node.stigrule_88325_Microsoft_network_server_Digitally_sign_communications_always_Microsoft_network_server_Digitally_sign_communications_always
            }
        }
        if (($Node.stigrule_88327_Manage)) {
            SecurityOption Microsoft_network_server_Digitally_sign_communications_if_client_agrees_88327
            {
                Name = 'Microsoft_network_server_Digitally_sign_communications_if_client_agrees'
                Microsoft_network_server_Digitally_sign_communications_if_client_agrees = $Node.stigrule_88327_Microsoft_network_server_Digitally_sign_communications_if_client_agrees_Microsoft_network_server_Digitally_sign_communications_if_client_agrees
            }
        }
        if (($Node.stigrule_88329_Manage)) {
            SecurityOption Network_access_Allow_anonymous_SID_Name_translation_88329
            {
                Name = 'Network_access_Allow_anonymous_SID_Name_translation'
                Network_access_Allow_anonymous_SID_Name_translation = $Node.stigrule_88329_Network_access_Allow_anonymous_SID_Name_translation_Network_access_Allow_anonymous_SID_Name_translation
            }
        }
        if (($Node.stigrule_88331_Manage)) {
            SecurityOption Network_access_Do_not_allow_anonymous_enumeration_of_SAM_accounts_88331
            {
                Name = 'Network_access_Do_not_allow_anonymous_enumeration_of_SAM_accounts'
                Network_access_Do_not_allow_anonymous_enumeration_of_SAM_accounts = $Node.stigrule_88331_Network_access_Do_not_allow_anonymous_enumeration_of_SAM_accounts_Network_access_Do_not_allow_anonymous_enumeration_of_SAM_accounts
            }
        }
        if (($Node.stigrule_88333_Manage)) {
            SecurityOption Network_access_Do_not_allow_anonymous_enumeration_of_SAM_accounts_and_shares_88333
            {
                Name = 'Network_access_Do_not_allow_anonymous_enumeration_of_SAM_accounts_and_shares'
                Network_access_Do_not_allow_anonymous_enumeration_of_SAM_accounts_and_shares = $Node.stigrule_88333_Network_access_Do_not_allow_anonymous_enumeration_of_SAM_accounts_and_shares_Network_access_Do_not_allow_anonymous_enumeration_of_SAM_accounts_and_shares
            }
        }
        if (($Node.stigrule_88337_Manage)) {
            SecurityOption Network_access_Let_Everyone_permissions_apply_to_anonymous_users_88337
            {
                Name = 'Network_access_Let_Everyone_permissions_apply_to_anonymous_users'
                Network_access_Let_Everyone_permissions_apply_to_anonymous_users = $Node.stigrule_88337_Network_access_Let_Everyone_permissions_apply_to_anonymous_users_Network_access_Let_Everyone_permissions_apply_to_anonymous_users
            }
        }
        if (($Node.stigrule_88339_Manage)) {
            SecurityOption Network_access_Restrict_anonymous_access_to_Named_Pipes_and_Shares_88339
            {
                Name = 'Network_access_Restrict_anonymous_access_to_Named_Pipes_and_Shares'
                Network_access_Restrict_anonymous_access_to_Named_Pipes_and_Shares = $Node.stigrule_88339_Network_access_Restrict_anonymous_access_to_Named_Pipes_and_Shares_Network_access_Restrict_anonymous_access_to_Named_Pipes_and_Shares
            }
        }
        if (($Node.stigrule_88343_Manage)) {
            SecurityOption Network_security_Allow_Local_System_to_use_computer_identity_for_NTLM_88343
            {
                Name = 'Network_security_Allow_Local_System_to_use_computer_identity_for_NTLM'
                Network_security_Allow_Local_System_to_use_computer_identity_for_NTLM = $Node.stigrule_88343_Network_security_Allow_Local_System_to_use_computer_identity_for_NTLM_Network_security_Allow_Local_System_to_use_computer_identity_for_NTLM
            }
        }
        if (($Node.stigrule_88345_Manage)) {
            SecurityOption Network_security_Allow_LocalSystem_NULL_session_fallback_88345
            {
                Name = 'Network_security_Allow_LocalSystem_NULL_session_fallback'
                Network_security_Allow_LocalSystem_NULL_session_fallback = $Node.stigrule_88345_Network_security_Allow_LocalSystem_NULL_session_fallback_Network_security_Allow_LocalSystem_NULL_session_fallback
            }
        }
        if (($Node.stigrule_88347_Manage)) {
            SecurityOption Network_Security_Allow_PKU2U_authentication_requests_to_this_computer_to_use_online_identities_88347
            {
                Name = 'Network_Security_Allow_PKU2U_authentication_requests_to_this_computer_to_use_online_identities'
                Network_Security_Allow_PKU2U_authentication_requests_to_this_computer_to_use_online_identities = $Node.stigrule_88347_Network_Security_Allow_PKU2U_authentication_requests_to_this_computer_to_use_online_identities_Network_Security_Allow_PKU2U_authentication_requests_to_this_computer_to_use_online_identities
            }
        }
        if (($Node.stigrule_88351_Manage)) {
            SecurityOption Network_security_Do_not_store_LAN_Manager_hash_value_on_next_password_change_88351
            {
                Name = 'Network_security_Do_not_store_LAN_Manager_hash_value_on_next_password_change'
                Network_security_Do_not_store_LAN_Manager_hash_value_on_next_password_change = $Node.stigrule_88351_Network_security_Do_not_store_LAN_Manager_hash_value_on_next_password_change_Network_security_Do_not_store_LAN_Manager_hash_value_on_next_password_change
            }
        }
        if (($Node.stigrule_88355_Manage)) {
            SecurityOption Network_security_LAN_Manager_authentication_level_88355
            {
                Name = 'Network_security_LAN_Manager_authentication_level'
                Network_security_LAN_Manager_authentication_level = $Node.stigrule_88355_Network_security_LAN_Manager_authentication_level_Network_security_LAN_Manager_authentication_level
            }
        }
        if (($Node.stigrule_88357_Manage)) {
            SecurityOption Network_security_LDAP_client_signing_requirements_88357
            {
                Name = 'Network_security_LDAP_client_signing_requirements'
                Network_security_LDAP_client_signing_requirements = $Node.stigrule_88357_Network_security_LDAP_client_signing_requirements_Network_security_LDAP_client_signing_requirements
            }
        }
        if (($Node.stigrule_88359_Manage)) {
            SecurityOption Network_security_Minimum_session_security_for_NTLM_SSP_based_including_secure_RPC_clients_88359
            {
                Name = 'Network_security_Minimum_session_security_for_NTLM_SSP_based_including_secure_RPC_clients'
                Network_security_Minimum_session_security_for_NTLM_SSP_based_including_secure_RPC_clients = $Node.stigrule_88359_Network_security_Minimum_session_security_for_NTLM_SSP_based_including_secure_RPC_clients_Network_security_Minimum_session_security_for_NTLM_SSP_based_including_secure_RPC_clients
            }
        }
        if (($Node.stigrule_88361_Manage)) {
            SecurityOption Network_security_Minimum_session_security_for_NTLM_SSP_based_including_secure_RPC_servers_88361
            {
                Name = 'Network_security_Minimum_session_security_for_NTLM_SSP_based_including_secure_RPC_servers'
                Network_security_Minimum_session_security_for_NTLM_SSP_based_including_secure_RPC_servers = $Node.stigrule_88361_Network_security_Minimum_session_security_for_NTLM_SSP_based_including_secure_RPC_servers_Network_security_Minimum_session_security_for_NTLM_SSP_based_including_secure_RPC_servers
            }
        }
        if (($Node.stigrule_88363_Manage)) {
            SecurityOption System_cryptography_Force_strong_key_protection_for_user_keys_stored_on_the_computer_88363
            {
                Name = 'System_cryptography_Force_strong_key_protection_for_user_keys_stored_on_the_computer'
                System_cryptography_Force_strong_key_protection_for_user_keys_stored_on_the_computer = $Node.stigrule_88363_System_cryptography_Force_strong_key_protection_for_user_keys_stored_on_the_computer_System_cryptography_Force_strong_key_protection_for_user_keys_stored_on_the_computer
            }
        }
        if (($Node.stigrule_88365_Manage)) {
            SecurityOption System_cryptography_Use_FIPS_compliant_algorithms_for_encryption_hashing_and_signing_88365
            {
                Name = 'System_cryptography_Use_FIPS_compliant_algorithms_for_encryption_hashing_and_signing'
                System_cryptography_Use_FIPS_compliant_algorithms_for_encryption_hashing_and_signing = $Node.stigrule_88365_System_cryptography_Use_FIPS_compliant_algorithms_for_encryption_hashing_and_signing_System_cryptography_Use_FIPS_compliant_algorithms_for_encryption_hashing_and_signing
            }
        }
        if (($Node.stigrule_88369_Manage)) {
            SecurityOption System_objects_Strengthen_default_permissions_of_internal_system_objects_eg_Symbolic_Links_88369
            {
                Name = 'System_objects_Strengthen_default_permissions_of_internal_system_objects_eg_Symbolic_Links'
                System_objects_Strengthen_default_permissions_of_internal_system_objects_eg_Symbolic_Links = $Node.stigrule_88369_System_objects_Strengthen_default_permissions_of_internal_system_objects_eg_Symbolic_Links_System_objects_Strengthen_default_permissions_of_internal_system_objects_eg_Symbolic_Links
            }
        }
        if (($Node.stigrule_88371_Manage)) {
            SecurityOption User_Account_Control_Admin_Approval_Mode_for_the_Built_in_Administrator_account_88371
            {
                Name = 'User_Account_Control_Admin_Approval_Mode_for_the_Built_in_Administrator_account'
                User_Account_Control_Admin_Approval_Mode_for_the_Built_in_Administrator_account = $Node.stigrule_88371_User_Account_Control_Admin_Approval_Mode_for_the_Built_in_Administrator_account_User_Account_Control_Admin_Approval_Mode_for_the_Built_in_Administrator_account
            }
        }
        if (($Node.stigrule_88373_Manage)) {
            SecurityOption User_Account_Control_Allow_UIAccess_applications_to_prompt_for_elevation_without_using_the_secure_desktop_88373
            {
                Name = 'User_Account_Control_Allow_UIAccess_applications_to_prompt_for_elevation_without_using_the_secure_desktop'
                User_Account_Control_Allow_UIAccess_applications_to_prompt_for_elevation_without_using_the_secure_desktop = $Node.stigrule_88373_User_Account_Control_Allow_UIAccess_applications_to_prompt_for_elevation_without_using_the_secure_desktop_User_Account_Control_Allow_UIAccess_applications_to_prompt_for_elevation_without_using_the_secure_desktop
            }
        }
        if (($Node.stigrule_88375_Manage)) {
            SecurityOption User_Account_Control_Behavior_of_the_elevation_prompt_for_administrators_in_Admin_Approval_Mode_88375
            {
                Name = 'User_Account_Control_Behavior_of_the_elevation_prompt_for_administrators_in_Admin_Approval_Mode'
                User_Account_Control_Behavior_of_the_elevation_prompt_for_administrators_in_Admin_Approval_Mode = $Node.stigrule_88375_User_Account_Control_Behavior_of_the_elevation_prompt_for_administrators_in_Admin_Approval_Mode_User_Account_Control_Behavior_of_the_elevation_prompt_for_administrators_in_Admin_Approval_Mode
            }
        }
        if (($Node.stigrule_88377_Manage)) {
            SecurityOption User_Account_Control_Behavior_of_the_elevation_prompt_for_standard_users_88377
            {
                Name = 'User_Account_Control_Behavior_of_the_elevation_prompt_for_standard_users'
                User_Account_Control_Behavior_of_the_elevation_prompt_for_standard_users = $Node.stigrule_88377_User_Account_Control_Behavior_of_the_elevation_prompt_for_standard_users_User_Account_Control_Behavior_of_the_elevation_prompt_for_standard_users
            }
        }
        if (($Node.stigrule_88379_Manage)) {
            SecurityOption User_Account_Control_Detect_application_installations_and_prompt_for_elevation_88379
            {
                Name = 'User_Account_Control_Detect_application_installations_and_prompt_for_elevation'
                User_Account_Control_Detect_application_installations_and_prompt_for_elevation = $Node.stigrule_88379_User_Account_Control_Detect_application_installations_and_prompt_for_elevation_User_Account_Control_Detect_application_installations_and_prompt_for_elevation
            }
        }
        if (($Node.stigrule_88381_Manage)) {
            SecurityOption User_Account_Control_Only_elevate_UIAccess_applications_that_are_installed_in_secure_locations_88381
            {
                Name = 'User_Account_Control_Only_elevate_UIAccess_applications_that_are_installed_in_secure_locations'
                User_Account_Control_Only_elevate_UIAccess_applications_that_are_installed_in_secure_locations = $Node.stigrule_88381_User_Account_Control_Only_elevate_UIAccess_applications_that_are_installed_in_secure_locations_User_Account_Control_Only_elevate_UIAccess_applications_that_are_installed_in_secure_locations
            }
        }
        if (($Node.stigrule_88383_Manage)) {
            SecurityOption User_Account_Control_Run_all_administrators_in_Admin_Approval_Mode_88383
            {
                Name = 'User_Account_Control_Run_all_administrators_in_Admin_Approval_Mode'
                User_Account_Control_Run_all_administrators_in_Admin_Approval_Mode = $Node.stigrule_88383_User_Account_Control_Run_all_administrators_in_Admin_Approval_Mode_User_Account_Control_Run_all_administrators_in_Admin_Approval_Mode
            }
        }
        if (($Node.stigrule_88385_Manage)) {
            SecurityOption User_Account_Control_Virtualize_file_and_registry_write_failures_to_per_user_locations_88385
            {
                Name = 'User_Account_Control_Virtualize_file_and_registry_write_failures_to_per_user_locations'
                User_Account_Control_Virtualize_file_and_registry_write_failures_to_per_user_locations = $Node.stigrule_88385_User_Account_Control_Virtualize_file_and_registry_write_failures_to_per_user_locations_User_Account_Control_Virtualize_file_and_registry_write_failures_to_per_user_locations
            }
        }
        if (($Node.stigrule_88393_Manage)) {
            UserRightsAssignment Access_Credential_Manager_as_a_trusted_caller_88393
            {
                Policy = 'Access_Credential_Manager_as_a_trusted_caller'
                Force = $true
                Identity = $Node.stigrule_88393_Access_Credential_Manager_as_a_trusted_caller_Identity
            }
        }
        if (($Node.stigrule_88395_Manage)) {
            UserRightsAssignment Access_this_computer_from_the_network_88395
            {
                Policy = 'Access_this_computer_from_the_network'
                Force = $true
                Identity = $Node.stigrule_88395_Access_this_computer_from_the_network_Identity
            }
        }
        if (($Node.stigrule_88397_Manage)) {
            UserRightsAssignment Access_this_computer_from_the_network_88397
            {
                Policy = 'Access_this_computer_from_the_network'
                Force = $true
                Identity = $Node.stigrule_88397_Access_this_computer_from_the_network_Identity
            }
        }
        if (($Node.stigrule_88399_Manage)) {
            UserRightsAssignment Act_as_part_of_the_operating_system_88399
            {
                Policy = 'Act_as_part_of_the_operating_system'
                Force = $true
                Identity = $Node.stigrule_88399_Act_as_part_of_the_operating_system_Identity
            }
        }
        if (($Node.stigrule_88401_Manage)) {
            UserRightsAssignment Add_workstations_to_domain_88401
            {
                Policy = 'Add_workstations_to_domain'
                Force = $true
                Identity = $Node.stigrule_88401_Add_workstations_to_domain_Identity
            }
        }
        if (($Node.stigrule_88403_Manage)) {
            UserRightsAssignment Allow_log_on_locally_88403
            {
                Policy = 'Allow_log_on_locally'
                Force = $true
                Identity = $Node.stigrule_88403_Allow_log_on_locally_Identity
            }
        }
        if (($Node.stigrule_88405_Manage)) {
            UserRightsAssignment Allow_log_on_through_Remote_Desktop_Services_88405
            {
                Policy = 'Allow_log_on_through_Remote_Desktop_Services'
                Force = $true
                Identity = $Node.stigrule_88405_Allow_log_on_through_Remote_Desktop_Services_Identity
            }
        }
        if (($Node.stigrule_88407_Manage)) {
            UserRightsAssignment Back_up_files_and_directories_88407
            {
                Policy = 'Back_up_files_and_directories'
                Force = $true
                Identity = $Node.stigrule_88407_Back_up_files_and_directories_Identity
            }
        }
        if (($Node.stigrule_88409_Manage)) {
            UserRightsAssignment Create_a_pagefile_88409
            {
                Policy = 'Create_a_pagefile'
                Force = $true
                Identity = $Node.stigrule_88409_Create_a_pagefile_Identity
            }
        }
        if (($Node.stigrule_88411_Manage)) {
            UserRightsAssignment Create_a_token_object_88411
            {
                Policy = 'Create_a_token_object'
                Force = $true
                Identity = $Node.stigrule_88411_Create_a_token_object_Identity
            }
        }
        if (($Node.stigrule_88413_Manage)) {
            UserRightsAssignment Create_global_objects_88413
            {
                Policy = 'Create_global_objects'
                Force = $true
                Identity = $Node.stigrule_88413_Create_global_objects_Identity
            }
        }
        if (($Node.stigrule_88415_Manage)) {
            UserRightsAssignment Create_permanent_shared_objects_88415
            {
                Policy = 'Create_permanent_shared_objects'
                Force = $true
                Identity = $Node.stigrule_88415_Create_permanent_shared_objects_Identity
            }
        }
        if (($Node.stigrule_88417_Manage)) {
            UserRightsAssignment Create_symbolic_links_88417
            {
                Policy = 'Create_symbolic_links'
                Force = $true
                Identity = $Node.stigrule_88417_Create_symbolic_links_Identity
            }
        }
        if (($Node.stigrule_88419_Manage)) {
            UserRightsAssignment Debug_programs_88419
            {
                Policy = 'Debug_programs'
                Force = $true
                Identity = $Node.stigrule_88419_Debug_programs_Identity
            }
        }
        if (($Node.stigrule_88421_Manage)) {
            UserRightsAssignment Deny_access_to_this_computer_from_the_network_88421
            {
                Policy = 'Deny_access_to_this_computer_from_the_network'
                Force = $true
                Identity = $Node.stigrule_88421_Deny_access_to_this_computer_from_the_network_Identity
            }
        }
        if (($Node.stigrule_88423_Manage)) {
            UserRightsAssignment Deny_access_to_this_computer_from_the_network_88423
            {
                Policy = 'Deny_access_to_this_computer_from_the_network'
                Force = $true
                Identity = $Node.stigrule_88423_Deny_access_to_this_computer_from_the_network_Identity
            }
        }
        if (($Node.stigrule_88425_Manage)) {
            UserRightsAssignment Deny_log_on_as_a_batch_job_88425
            {
                Policy = 'Deny_log_on_as_a_batch_job'
                Force = $true
                Identity = $Node.stigrule_88425_Deny_log_on_as_a_batch_job_Identity
            }
        }
        if (($Node.stigrule_88427_Manage)) {
            UserRightsAssignment Deny_log_on_as_a_batch_job_88427
            {
                Policy = 'Deny_log_on_as_a_batch_job'
                Force = $true
                Identity = $Node.stigrule_88427_Deny_log_on_as_a_batch_job_Identity
            }
        }
        if (($Node.stigrule_88429_Manage)) {
            UserRightsAssignment Deny_log_on_as_a_service_88429
            {
                Policy = 'Deny_log_on_as_a_service'
                Force = $true
                Identity = $Node.stigrule_88429_Deny_log_on_as_a_service_Identity
            }
        }
        if (($Node.stigrule_88431_Manage)) {
            UserRightsAssignment Deny_log_on_as_a_service_88431
            {
                Policy = 'Deny_log_on_as_a_service'
                Force = $true
                Identity = $Node.stigrule_88431_Deny_log_on_as_a_service_Identity
            }
        }
        if (($Node.stigrule_88433_Manage)) {
            UserRightsAssignment Deny_log_on_locally_88433
            {
                Policy = 'Deny_log_on_locally'
                Force = $true
                Identity = $Node.stigrule_88433_Deny_log_on_locally_Identity
            }
        }
        if (($Node.stigrule_88435_Manage)) {
            UserRightsAssignment Deny_log_on_locally_88435
            {
                Policy = 'Deny_log_on_locally'
                Force = $true
                Identity = $Node.stigrule_88435_Deny_log_on_locally_Identity
            }
        }
        if (($Node.stigrule_88437_Manage)) {
            UserRightsAssignment Deny_log_on_through_Remote_Desktop_Services_88437
            {
                Policy = 'Deny_log_on_through_Remote_Desktop_Services'
                Force = $true
                Identity = $Node.stigrule_88437_Deny_log_on_through_Remote_Desktop_Services_Identity
            }
        }
        if (($Node.stigrule_88439_Manage)) {
            UserRightsAssignment Deny_log_on_through_Remote_Desktop_Services_88439
            {
                Policy = 'Deny_log_on_through_Remote_Desktop_Services'
                Force = $true
                Identity = $Node.stigrule_88439_Deny_log_on_through_Remote_Desktop_Services_Identity
            }
        }
        if (($Node.stigrule_88441_Manage)) {
            UserRightsAssignment Enable_computer_and_user_accounts_to_be_trusted_for_delegation_88441
            {
                Policy = 'Enable_computer_and_user_accounts_to_be_trusted_for_delegation'
                Force = $true
                Identity = $Node.stigrule_88441_Enable_computer_and_user_accounts_to_be_trusted_for_delegation_Identity
            }
        }
        if (($Node.stigrule_88443_Manage)) {
            UserRightsAssignment Enable_computer_and_user_accounts_to_be_trusted_for_delegation_88443
            {
                Policy = 'Enable_computer_and_user_accounts_to_be_trusted_for_delegation'
                Force = $true
                Identity = $Node.stigrule_88443_Enable_computer_and_user_accounts_to_be_trusted_for_delegation_Identity
            }
        }
        if (($Node.stigrule_88445_Manage)) {
            UserRightsAssignment Force_shutdown_from_a_remote_system_88445
            {
                Policy = 'Force_shutdown_from_a_remote_system'
                Force = $true
                Identity = $Node.stigrule_88445_Force_shutdown_from_a_remote_system_Identity
            }
        }
        if (($Node.stigrule_88447_Manage)) {
            UserRightsAssignment Generate_security_audits_88447
            {
                Policy = 'Generate_security_audits'
                Force = $true
                Identity = $Node.stigrule_88447_Generate_security_audits_Identity
            }
        }
        if (($Node.stigrule_88449_Manage)) {
            UserRightsAssignment Impersonate_a_client_after_authentication_88449
            {
                Policy = 'Impersonate_a_client_after_authentication'
                Force = $true
                Identity = $Node.stigrule_88449_Impersonate_a_client_after_authentication_Identity
            }
        }
        if (($Node.stigrule_88451_Manage)) {
            UserRightsAssignment Increase_scheduling_priority_88451
            {
                Policy = 'Increase_scheduling_priority'
                Force = $true
                Identity = $Node.stigrule_88451_Increase_scheduling_priority_Identity
            }
        }
        if (($Node.stigrule_88453_Manage)) {
            UserRightsAssignment Load_and_unload_device_drivers_88453
            {
                Policy = 'Load_and_unload_device_drivers'
                Force = $true
                Identity = $Node.stigrule_88453_Load_and_unload_device_drivers_Identity
            }
        }
        if (($Node.stigrule_88455_Manage)) {
            UserRightsAssignment Lock_pages_in_memory_88455
            {
                Policy = 'Lock_pages_in_memory'
                Force = $true
                Identity = $Node.stigrule_88455_Lock_pages_in_memory_Identity
            }
        }
        if (($Node.stigrule_88457_Manage)) {
            UserRightsAssignment Manage_auditing_and_security_log_88457
            {
                Policy = 'Manage_auditing_and_security_log'
                Force = $true
                Identity = $Node.stigrule_88457_Manage_auditing_and_security_log_Identity
            }
        }
        if (($Node.stigrule_88459_Manage)) {
            UserRightsAssignment Modify_firmware_environment_values_88459
            {
                Policy = 'Modify_firmware_environment_values'
                Force = $true
                Identity = $Node.stigrule_88459_Modify_firmware_environment_values_Identity
            }
        }
        if (($Node.stigrule_88461_Manage)) {
            UserRightsAssignment Perform_volume_maintenance_tasks_88461
            {
                Policy = 'Perform_volume_maintenance_tasks'
                Force = $true
                Identity = $Node.stigrule_88461_Perform_volume_maintenance_tasks_Identity
            }
        }
        if (($Node.stigrule_88463_Manage)) {
            UserRightsAssignment Profile_single_process_88463
            {
                Policy = 'Profile_single_process'
                Force = $true
                Identity = $Node.stigrule_88463_Profile_single_process_Identity
            }
        }
        if (($Node.stigrule_88465_Manage)) {
            UserRightsAssignment Restore_files_and_directories_88465
            {
                Policy = 'Restore_files_and_directories'
                Force = $true
                Identity = $Node.stigrule_88465_Restore_files_and_directories_Identity
            }
        }
        if (($Node.stigrule_88467_Manage)) {
            UserRightsAssignment Take_ownership_of_files_or_other_objects_88467
            {
                Policy = 'Take_ownership_of_files_or_other_objects'
                Force = $true
                Identity = $Node.stigrule_88467_Take_ownership_of_files_or_other_objects_Identity
            }
        }
        if (($Node.stigrule_88473_Manage)) {
            SecurityOption Interactive_logon_Smart_card_removal_behavior_88473
            {
                Name = 'Interactive_logon_Smart_card_removal_behavior'
                Interactive_logon_Smart_card_removal_behavior = $Node.stigrule_88473_Interactive_logon_Smart_card_removal_behavior_Interactive_logon_Smart_card_removal_behavior
            }
        }
        if (($Node.stigrule_88475_Manage)) {
            SecurityOption Accounts_Guest_account_status_88475
            {
                Name = 'Accounts_Guest_account_status'
                Accounts_Guest_account_status = $Node.stigrule_88475_Accounts_Guest_account_status_Accounts_Guest_account_status
            }
        }
        if (($Node.stigrule_92829_Manage)) {
            Registry SMB1_92829
            {
                ValueName = 'SMB1'
                Force = $true
                Key = $Node.stigrule_92829_SMB1_Key
                Ensure = $Node.stigrule_92829_SMB1_Ensure
                ValueData = $Node.stigrule_92829_SMB1_ValueData
                ValueType = $Node.stigrule_92829_SMB1_ValueType
            }
        }
        if (($Node.stigrule_92831_Manage)) {
            Registry Start_92831
            {
                ValueName = 'Start'
                Force = $true
                Key = $Node.stigrule_92831_Start_Key
                Ensure = $Node.stigrule_92831_Start_Ensure
                ValueData = $Node.stigrule_92831_Start_ValueData
                ValueType = $Node.stigrule_92831_Start_ValueType
            }
        }
    }
}

